org.eclipse.mat.parser.internal.util

## Class IntStack

- java.lang.Object
- - org.eclipse.mat.parser.internal.util.IntStack

    public class IntStack
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IntStack()`
`IntStack(int capacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `capacity()`
`int` `peek()`
`int` `pop()`
`void` `push(int i)`
`int` `size()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntStack

    public IntStack()

#### IntStack

    public IntStack(int capacity)

### Method Detail

#### pop

    public final int pop()

#### push

    public final void push(int i)

#### peek

    public final int peek()

#### size

    public final int size()

#### capacity

    public final int capacity()